<xml> </xml>

btb-class |

# ImageLoadingProvider.LoadItemSync Method

Perform single pass of thumbnail item loading on foreground.

protected virtual void LoadItemSync(
BetterThumbnailBrowserItem item,
Image image,
Size maximumImageSize,
ILoadingProviderData data
);

#### Parameters

item
  Item to perform loading on.
image
  Thumbnail image loaded on background.
maximumImageSize
  Maximum possible thumbnail image size.
data
  User data passed from background loading.

#### See Also

ImageLoadingProvider Class | ComponentOwl.BetterThumbnailBrowser Namespace